Solution Class Reference
Collaboration diagram for Solution:
[legend]

## Public Member Functions

std::vector< std::vector< int > > | search_bridges (int n, const std::vector< std::vector< int >> &connections)

## Private Member Functions

void | dfs (int current_node, int parent)

## Private Attributes

std::vector< std::vector< int > > | graph
std::vector< int > | in_time
std::vector< int > | out_time
int | timer = 0
std::vector< std::vector< int > > | bridge
std::vector< bool > | visited

The documentation for this class was generated from the following file:

- graph/bridge_finding_with_tarjan_algorithm.cpp